optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetUnit (self, value)
| GetUnit (self)
| Run (self)
| Stop (self)
| GetRunningStatus (self)
| SetStartQ1 (self, value)
| GetStartQ1 (self)
| SetEndQ1 (self, value)
| GetEndQ1 (self)
| SetStartQ2 (self, value)
| GetStartQ2 (self)
| SetEndQ2 (self, value)
| GetEndQ2 (self)
| SetStartQ3 (self, value)
| GetStartQ3 (self)
| SetEndQ3 (self, value)
| GetEndQ3 (self)
| SetStartQ4 (self, value)
| GetStartQ4 (self)
| SetEndQ4 (self, value)
| GetEndQ4 (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| unit
| run
| startQ1
| endQ1
| startQ2
| endQ2
| startQ3
| endQ3
| startQ4
| endQ4
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _channel
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    * Quadrant vector pattern system ID base: 0x80
    *
    * | Address | Name                    | Default | Description                                                                              | Format and value |
    * | ------- | ----------------------- | ------- | ---------------------------------------------------------------------------------------- | ---------------- |
    * | 0       | unit type               | 0       | see ChannelValue                                                                         | uint32           |
    * | 1       | run                     | false   | turn system on and off                                                                   | boolean          |
    * | 2       | quadrant vector 1 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 1   | uint32           |
    * | 3       | quadrant vector 1 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 1 | uint32           |
    * | 4       | quadrant vector 2 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 2   | uint32           |
    * | 5       | quadrant vector 2 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 2 | uint32           |
    * | 6       | quadrant vector 3 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 3   | uint32           |
    * | 7       | quadrant vector 3 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 3 | uint32           |
    * | 8       | quadrant vector 4 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 4   | uint32           |
    * | 9       | quadrant vector 4 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 4 | uint32           |
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ GetEndQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ1 | ( |  | self | ) |

## ◆ GetEndQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ2 | ( |  | self | ) |

## ◆ GetEndQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ3 | ( |  | self | ) |

## ◆ GetEndQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ4 | ( |  | self | ) |

## ◆ GetRunningStatus()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetRunningStatus | ( |  | self | ) |

## ◆ GetStartQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ1 | ( |  | self | ) |

## ◆ GetStartQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ2 | ( |  | self | ) |

## ◆ GetStartQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ3 | ( |  | self | ) |

## ◆ GetStartQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ4 | ( |  | self | ) |

## ◆ GetUnit()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetUnit | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.help | ( |  | ) |
| static

## ◆ Run()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.Run | ( |  | self | ) |

## ◆ SetEndQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ1 | ( |  | self,
|  |  | value )

## ◆ SetEndQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ2 | ( |  | self,
|  |  | value )

## ◆ SetEndQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ3 | ( |  | self,
|  |  | value )

## ◆ SetEndQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ4 | ( |  | self,
|  |  | value )

## ◆ SetStartQ1()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ1 | ( |  | self,
|  |  | value )

## ◆ SetStartQ2()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ2 | ( |  | self,
|  |  | value )

## ◆ SetStartQ3()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ3 | ( |  | self,
|  |  | value )

## ◆ SetStartQ4()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ4 | ( |  | self,
|  |  | value )

## ◆ SetUnit()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetUnit | ( |  | self,
|  |  | value )

## ◆ Stop()

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.Stop | ( |  | self | ) |

## Member Data Documentation

## ◆ _channel

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit._channel
| protected

## ◆ endQ1

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ1

## ◆ endQ2

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ2

## ◆ endQ3

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ3

## ◆ endQ4

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ4

## ◆ name

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.name

## ◆ run

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.run

## ◆ startQ1

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ1

## ◆ startQ2

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ2

## ◆ startQ3

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ3

## ◆ startQ4

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ4

## ◆ sys_id

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py